from jinja2 import Environment as j2Environment, PackageLoader


class RenderErr(Exception): pass


class RenderTemplateNotFound(RenderErr): pass


def render_templates(templ_grp, context):
    """
    returns a rendered subject, html_body, & text_body
    """

    j2e = j2Environment(loader=PackageLoader('src', 'templates'))

    # we return subj,html,text as tuple, so rendering in the proper order
    # matters here
    retval = []
    for template_path in ('subj.j2', 'html.j2', 'text.j2'):
        templ = j2e.get_template('{}/{}'.format(templ_grp, template_path))
        retval.append(templ.render(context))

    return retval
